﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.MapsFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Model.Title %>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">

<meta name="viewport" content="initial-scale=1.0, user-scalable=no" /> 
<style type="text/css">   
  html { height: 100% }   
  body { height: 100%; margin: 0px; padding: 0px }   
  #map_canvas { height: 100% } 
</style> 
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"> </script> 

<script type="text/javascript">
    
  var markers = <%=Model.Markers %>
  
  var geocoder;
  var map;
    
  function initialize() {
    geocoder = new google.maps.Geocoder();
    var latlng = new google.maps.LatLng(39, -82);
    var myOptions =
    {
      zoom: 10,
      center: latlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP 
    };
    var mapCanvas = document.getElementById("map_canvas");
    map = new google.maps.Map(mapCanvas, myOptions);
    
    for (var i = 0; i < markers.length; i++) {
      setMarker(markers[i]);
    }    
  }

  function setMarker(m) {
    var title = m[0];
    var address = m[1];    
    var html = m[2];    
    var markerImage = m[3];    
    var markerImageWidth = m[4];    
    var markerImageHeight = m[5];    
    var position = new google.maps.LatLng(m[6], m[7]);

    
    var image = new google.maps.MarkerImage(markerImage,
        // This marker is 20 pixels wide by 32 pixels tall.       
    new google.maps.Size(markerImageWidth, markerImageHeight),
        // The origin for this image is 0,0.       
    new google.maps.Point(0, 0),
        // The anchor for this image is the base of the flagpole at 0,32.      
    new google.maps.Point(0, markerImageHeight));

    //Image map region definition used for drag/click
    var shape = {
      //coord: [1, 1, 1, 20, 18, 20, 18, 1],
      coord: [1, 1, 1, markerImageWidth, markerImageHeight, markerImageWidth, markerImageHeight, 1],
      type: 'poly'
    };    
    
    var marker = new google.maps.Marker({
      position: position,
      map: map,
      icon: image,
      shape: shape,
      title: title,
      zIndex: 1,
      html: html
    });
        
    //on click        
    var infowindow = new google.maps.InfoWindow({
      content: title
    });
    google.maps.event.addListener(marker, 'click', function () {
      infowindow.setContent(this.html);
      infowindow.open(map, this);
    });     

    //center
    AutoCenter(map, markers); 
  }
      
  function AutoCenter(map, locations) {
    //Create a new viewpoint bound
    var bounds = new google.maps.LatLngBounds();
    //Go through each...
    //$.each(markers, function (index, marker) {
      //bounds.extend(marker.position);
    //});
    for (var i = 0; i < locations.length; i++) {
      //var location = locations[i];
      var position = new google.maps.LatLng(locations[i][6], locations[i][7]);            
      if (position != null) {
        //alert(position);
        bounds.extend(position);
      }
      
    }
    //Fit these bounds to the map
    map.fitBounds(bounds);
  }
  
    window.onload = initialize;

  $(document).ready(function () {    
  });
</script>
	
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h2><%=Model.Title %></h2>

<% using (Html.BeginForm())
   {%>

<div style="">

<%=Model.CaptionProject%>: <%=Html.DropDownList("ProjectId", Model.ProjectsDropDown)%>

&nbsp;&nbsp;

<%=Model.CaptionLogo%>: <%=Html.DropDownList("Logo", Model.LogosDropDown)%>

&nbsp;&nbsp;

<%=Model.CaptionStartDate%>: <%=Html.DropDownList("StartDate", Model.StartDatesDropDown)%>

&nbsp;&nbsp;
<%=Html.Hidden("PostBackDetails") %>  

<input type="submit" value="<%=Model.CaptionRefresh %>" />

&nbsp;&nbsp;

<input type="submit" value="<%=Model.CaptionOverview %>" onclick="SetPostBackDetails('Overview');" />

&nbsp;

<input type="submit" value="<%=Model.CaptionDetails %>" onclick="SetPostBackDetails('Details');" />

<% } %>

</div>

<script type='text/javascript'>

  function SetPostBackDetails(value) {
    //var Project = document.getElementById("ProjectId");
    var postBackDetails = document.getElementById("PostBackDetails");
    postBackDetails.value = value;
    //alert(PostBackDetails.value)
    //Project.form.submit();
  }
    
</script>

<div style="margin-bottom:10px;">
<%=Model.HtmlList %>
</div>

<div id="map_canvas" style=" min-width:930px; width:100%; min-height:500px; height:100%"></div> 

</asp:Content>
